.menu-toggle {
  position: absolute;
  right: 15px;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 45px;
  height: 45px;
  overflow: hidden;
}

.menu-toggle span {
  width: 45px;
  height: 7px;
  margin-bottom: 8px;
  background: #ffffff;
  border-radius: 4px;
  transition: all 0.5s cubic-bezier(0.08, 0.81, 0.87, 0.71);
}

.menu-toggle__span-1 {
  transform-origin: 4px 0;
}

.menu-toggle__span-3 {
  transform-origin: bottom right;
}

.navigation-open .menu-toggle__span-1 {
  background-color: #ffffff;
  transform: rotate(45deg) translate(8px);
}

.navigation-open .menu-toggle__span-2 {
  background-color: #ffffff;
  transform: rotate(495deg) translate(4px);
}

.navigation-open .menu-toggle__span-3 {
  background-color: #ffffff;
  transform: rotate(45deg);
  opacity: 0;
}



.header {
  position: relative;
  z-index: 2;
  width: 100%;
  padding-top: 8px;
  color: #ffffff;
  background: #35312f;

  .index-page & {
    position: absolute;
    background: linear-gradient(to right, rgba(53, 49, 47, 0) 0%, rgba(53, 49, 47, 0.9) 48%, rgba(53, 49, 47, 0.9) 52%, rgba(53, 49, 47, 0) 100%);
  }

  & .container {
    position: relative;
  }

  &__top {
    display: flex;
    justify-content: center;
    border-bottom: 2px solid rgba(255, 255, 255, 0.6);

    & > div {
      width: calc(50% - 11px);
      margin-right: 11px;
      margin-left: 11px;
    }
  }



  &__description {
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    text-align: right;

    & strong {
      display: block;
      max-width: 435px;
      margin-left: auto;
      font-weight: 600;
      font-size: 18px;
      line-height: 22px;
    }
  }
}


.nav {
  font-weight: 500;
  font-size: 16px;
  line-height: 20px;
  color: #ffffff;


  &__list {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 0;
    list-style: none;

    & > li {
      margin-right: 8px;
      margin-left: 8px;
    }

    & ul {
      position: absolute;
      top: 100%;
      left: 0;
      display: none;
      padding-top: 8px;
      padding-right: 10px;
      padding-bottom: 8px;
      padding-left: 10px;
      list-style: none;
      background-color: rgba(53, 49, 47, 0.6);
    }
  }

  & .has-child {
    position: relative;

    & > a {
      display: flex;
      align-items: center;
      transition: all 0.3s;


      &::after {
        content: "";
        display: block;
        width: 7px;
        height: 7px;
        margin-left: 3px;
        border-right: 2px solid #ffffff;
        border-bottom: 2px solid #ffffff;
        transform: translateY(-2px) rotate(45deg);
        transform-origin: center;
      }
    }

    &:hover {
      & ul {
        display: block;
      }
    }
  }

  & a {
    display: block;
    padding-top: 8px;
    padding-bottom: 8px;
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    color: #ffffff;
    text-decoration: none;

    &:hover {
      font-weight: 600;
      color: $prime;

      &::after {
        border-right-color: $prime;
        border-bottom-color: $prime;
      }
    }
  }

  & .active a {
    font-weight: 600;
    color: $prime;
  }
}



@media(max-width:950px) {
  .menu-toggle {
    top: 15px;
    display: flex;
  }

  .header {
    .index-page & {
      position: relative;
      background: #35312f;
    }

    &__top {
      padding-bottom: 5px;
      border-bottom: none;

      & > div {
        width: 100%;
      }
    }

    &__description {
      display: none;
    }
  }

  .nav {
    display: none;
    padding-bottom: 10px;

    .navigation-open & {
      display: flex;
      justify-content: center;
    }

    &__list {
      flex-direction: column;
      align-items: center;

      & .has-child:hover ul {
        display: none;
      }

      & a {
        display: flex;
        justify-content: center;
      }

      & ul {
        position: relative;
        top: 0;
        align-items: center;
        text-align: center;
      }

      & ul.open {
        display: flex !important;
        flex-direction: column;
      }
    }
  }
}


@media(max-width:768px) {
  .logo {
    display: block;
    width: 240px;
  }
}


@media(max-width:500px) {
  .logo {
    display: block;
    width: 200px;
    margin-top: 10px;
  }
}
